var baseUrl = "https://0x0.st";
var id = "a0eiaje"; // < unicode > 
var key = "LhBRttf+oI/PNHyTBrPa7HGDK/uC9fcMkGGgz63zT4Y="; // 32 bytes b64
var completeUrl = baseUrl + "/" + id + "#" + key;
console.log(completeUrl);
var urlObj = new URL(completeUrl);
/** will return a tuple of the key and id if valid
 * 1 if no id ( creator )
 * 2 if encryption key is missing /  wrong length
 * 3 if key is malformed
 */
function validUrl(url) {
    var key;
    try {
        key = atob(url.hash.substring(1));
    }
    catch (e) {
        return 3;
    }
    var id = url.pathname.substring(1);
    if (id === "/") {
        return 1;
    }
    var binKey = binaryToArray(key);
    if (key.length === 32) {
        return [id, binKey];
    }
    else {
        return 2;
    }
}
function binaryToArray(raw) {
    var rawLength = raw.length;
    var array = new Uint8Array(new ArrayBuffer(rawLength));
    for (var i = 0; i < rawLength; i++) {
        array[i] = raw.charCodeAt(i);
    }
    return array;
}
console.log(validUrl(urlObj));
